/**
 * @description Widget decorator can pre render HTML document and add style to widget
 */

import AddStyle from "../core/add-style";
import UseWidget from "../core/use-widget";
import Render from "./render";

interface Attr {
    name: string, // widget name 
    render?: boolean, // render on class called
    style?: string // style file data
}

/**
 * @description Widget decorator
 * @param {Attr} attr widget name, render when class called, style file data
 */
export default function (attr: Attr) {
    return function (Widget: any) {
        // If there was no (()=>{})(), Widget will be a function and it gets error but it is a class
        (async () => {
            try {
                const widget: Render = new Widget(); // Call widget class
                if (attr.render == true) await UseWidget(widget, null); // if wants pre render call render
                if (attr.style) await AddStyle(attr.style); // if has style made that
                return widget;
            } catch (error) {
                console.log(error);
            }
        })()
    }
}