/**
 * @description Div is a customed div html tag with TS function
 * @tutorial docs/Div.md
 */

import UseWidget from "../core/use-widget";
import Render from "../common/render";

interface Attr {
    class?: string, // style class name
    children: Render[] // a array of widgets
}

export default function Div(attr: Attr): HTMLDivElement {
    const div = document.createElement('div');
    if (attr.class) div.className = attr.class;
    for (let child of attr.children)
        UseWidget(child, (widget: HTMLElement) => div.appendChild(widget));
    return div;
}