import iframe from './iframe';

/**
 * @description set style property
 * @param {string} key property key
 * @param {string} value property value
 */
function set(key: string, value: string): void {
    iframe()?.body.style.setProperty(`--${key}`, value);
}

/**
 * @description get style property
 * @param {string} key property key
 */
function get(key: string): string | undefined {
    return iframe()?.body.style.getPropertyValue(`--${key}`);
}

export default {
    set, get
}