const path = require("path");

module.exports = {
    "entry": "./lib/index.ts",
    "mode": "production",
    "module": {
        "rules": [
            {
                "test": /\.ts?$/,
                "use": 'ts-loader',
                "exclude": ["/node_modules/"],
            },
            {
                "test": /\.css$/i,
                "use": ['style-loader', 'css-loader'],
            },
            {
                "test": /\.s[ac]ss$/i,
                exclude: /node_modules/,
                use: [
                    "sass-to-string",
                    {
                        loader: "sass-loader",
                        options: {
                            sassOptions: {
                                outputStyle: "compressed",
                            },
                        },
                    },
                ],
            },
        ]
    },
    "resolve": {
        "extensions": ['.tsx', '.ts', '.js'],
    },
    "output": {
        "filename": 'index.js',
        "path": path.resolve(__dirname),
    }
}